> For the complete documentation index, see [llms.txt](https://docs.ventrata.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ventrata.com/capabilities/notifications.md).

# Notifications

To use this capability, add `octo/notifications` to your `Octo-Capabilities` header.

All paths below are shown under `/octo`.

## Supported Notification Types

* `BOOKING_UPDATE`
* `AVAILABILITY_UPDATE`
* `PRODUCT_UPDATE`

`notificationTypes` are case-insensitive in requests and returned as uppercase values in responses.

{% openapi src="/files/9aBZzqykFPaTU7bfbNrr" path="/notifications/subscriptions" method="post" %}
[openapi.yaml](https://221588849-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-M7bgGIyO7QYNOfUMfxh%2Fuploads%2Fgit-blob-fa2d8cb1d7297d352c2639e6c4c6a990f2add6d7%2Fopenapi.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/9aBZzqykFPaTU7bfbNrr" path="/notifications/subscriptions/{subscriptionId}" method="patch" %}
[openapi.yaml](https://221588849-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-M7bgGIyO7QYNOfUMfxh%2Fuploads%2Fgit-blob-fa2d8cb1d7297d352c2639e6c4c6a990f2add6d7%2Fopenapi.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/9aBZzqykFPaTU7bfbNrr" path="/notifications/subscriptions/{subscriptionId}" method="get" %}
[openapi.yaml](https://221588849-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-M7bgGIyO7QYNOfUMfxh%2Fuploads%2Fgit-blob-fa2d8cb1d7297d352c2639e6c4c6a990f2add6d7%2Fopenapi.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/9aBZzqykFPaTU7bfbNrr" path="/notifications/subscriptions" method="get" %}
[openapi.yaml](https://221588849-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-M7bgGIyO7QYNOfUMfxh%2Fuploads%2Fgit-blob-fa2d8cb1d7297d352c2639e6c4c6a990f2add6d7%2Fopenapi.yaml?alt=media)
{% endopenapi %}

Returns a paginated array of `Subscription Object` items.

{% openapi src="/files/9aBZzqykFPaTU7bfbNrr" path="/notifications/subscriptions/{subscriptionId}" method="delete" %}
[openapi.yaml](https://221588849-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-M7bgGIyO7QYNOfUMfxh%2Fuploads%2Fgit-blob-fa2d8cb1d7297d352c2639e6c4c6a990f2add6d7%2Fopenapi.yaml?alt=media)
{% endopenapi %}

Deletes a subscription.

## Notification Payload Sent To Your URL

`data` fields by notification type:

* `BOOKING_UPDATE`: `uuid`
* `AVAILABILITY_UPDATE`: `productId`, `optionId`, `availabilityIds`
* `PRODUCT_UPDATE`: `productId`

## Schema Additions (JSON)

These are additive fragments showing only fields introduced by this capability.

### `NotificationSubscription`

```json
{
  "// ...rest of notification subscription object": "...",
  "subscriptionId": "sub_booking_update_01",
  "url": "https://www.city-sightseeing.com",
  "notificationTypes": [
    "STANDARD"
  ],
  "headers": {
    "X-Webhook-Secret": "whsec_123456abcdef"
  },
  "retryOnError": true
}
```

### `NotificationSubscriptionRequest`

```json
{
  "// ...rest of notification subscription request object": "...",
  "notificationTypes": [
    "BOOKING_UPDATE"
  ],
  "url": "https://hooks.example-partner.com/octo/webhook"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ventrata.com/capabilities/notifications.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
